ChiliProject - Bug # 774: Gravatar on issue#show is at a weird position

Status: Closed Priority: Normal
Author: Holger Just Category: User interface
Created: 2011-12-18 Assignee: Holger Just
Updated: 2012-01-17 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: The position of the author gravatar on individual issue pages looks wrong.

| think the gravatar should be in the "box" of the author name, probably even spanning the title box above.
Thoughts?

For later reference, the current layout looks like this:

lcurrent_layout.png!

Associated revisions

2012-01-17 07:31 pm - Holger Just
[#774] Move gravatar of issue author into the author tag

2012-01-17 07:34 pm - Holger Just
[#774 #815 #807] Fix styles used for gravatars in issues

Gravatars now generally have a border and are displayed equally.
The Issue history formatting is cleaned up with much of the positioning

magic removed in favor or a simple float.

History

2011-12-28 12:23 am - Eric Davis
I'm still thinking about it but | think removing the entire authoring line and putting the author and creation date into the attributes would be best (move
"Added by Holger Just 9 days ago." into the table). Then the issue author gravatar icon can appear on that field, just like how the assignee does

currently.

2012-01-04 03:48 am - Andreas Schuh

Another option would be to place the gravatar right above the author line. Further an increase of the gravatar size compared to the commenters
gravatars gives some visual distinction between these too roles (reporter, commenter). For example, see
"change":https://github.com/schuhschuh/chiliproject/commit/d701acb8c8e0213b6000b1158b8fa36eed1b6ceb and "example
page":https:/projects.andreasschuh.info/chiliproject/issues/1 (temporary).

On a side note, this change goes well with the changes | made to the "Code Review
Plugin":https://bitbucket.org/schuhschuh/redmine_code_review/changeset/13ace68150f1#chg-app/views/code_review/_show.html.erb.

2012-01-04 07:15 am - Andreas Schuh
Why actually not placing the gravatar to the left of title, following horizontal line (underline of title), and "Added by... Updated about..." line? This is also
similar to the current arrangement of the entries in the issue changes history except that the gravatar of the reporter is proportionally bigger (just as the

title is bold and has greater font size).

2012-01-17 06:48 pm - Holger Just
- Assignee set to Holger Just

- Affected version set to 3.0.0
- Status changed from Open to Closed
| have moved the gravatar of the author into the author line which makes it smaller, similar to the assignee in the list. This at least fixes the layout in a
way that is not totally broken.

If this new layout is undesired, I'm open to new ideas (preferably with some mockups).
